      SUBROUTINE MCVFS(A,KA,N,B)
      REAL A(1),B(1)
      INTEGER ONEI
      B(1)=A(1)
      IF (N.LT.2) RETURN
      L=2
      ICOL=KA
      DO 11 I=2,N
      ONEI=1+ICOL
      II=I+ICOL
      DO 10 JI=ONEI,II
      B(L)=A(JI)
   10 L=L+1
   11 ICOL=ICOL+KA
      RETURN
      END
